// MSCustizeSizeRulePara.cpp: implementation of the CMSCustomizeSizePara class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"

#include "MSCustizeSizeRulePara.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMSCustomizeSizePara::CMSCustomizeSizePara()
{
	m_bCustomize=false;			//Whether the Data Format can be supported to customize.
	m_objMSbinaryArySize=0;		//Save the size of the array of the Flag which uses the Binary Ary.
	m_objMSdecimalsArySize=0;		//Save the size of the array of the Flag which uses the Decimal Ary, eg:data.
	m_objMShexArySize=0;		//Save the size of the array of the Flag which uses the Hexidecimal Ary, eg:cmd. 
	m_objMSASCIIArySize=0;		//Save the size of the array of the Flag which uses the ASCII Ary.
}
}

CMSCustomizeSizePara::~CMSCustomizeSizePara()
{
	
}
void CMSCustomizeSizePara::ResetPara()
{
	m_bCustomize=false;			//Whether the Data Format can be supported to customize.
	m_objMSbinaryArySize=0;		//Save the size of the array of the Flag which uses the Binary Ary.
	m_objMSdecimalsArySize=0;		//Save the size of the array of the Flag which uses the Decimal Ary, eg:data.
	m_objMShexArySize=0;		//Save the size of the array of the Flag which uses the Hexidecimal Ary, eg:cmd. 
	m_objMSASCIIArySize=0;		//Save the size of the array of the Flag which uses the ASCII Ary.
}

void	CMSCustomizeSizePara::Addbinary(int number)
{
	m_objMSbinaryArySize+=number;
}
void	CMSCustomizeSizePara::Adddecary(int number)
{
	m_objMSdecimalsArySize+=number;
}

void	CMSCustomizeSizePara::Addhexary(int number)
{
	m_objMShexArySize+=number;
}
void	CMSCustomizeSizePara::AddASCIIary(int number)
{
	m_objMSASCIIArySize+=number;
}

