//IIC_PARAM_DATA.h

#ifndef PLUGIN_IICPARAM_DATA
#define PLUGIN_IICPARAM_DATA

typedef struct _iicparam
{
	BOOL		ReadWriteActive;
	BOOL		AddressLeftShift;
	BOOL		NackDontCare;
	int			ReadLevel;
	int			AckLevel;
	int			AddressBitCount;
	int			DataBitCount;
	int			SdaNameIndex;
	int			SclNameIndex;
	COLORREF	clrStart;
	COLORREF	clrData;
	COLORREF	clrRead;
	COLORREF	clrWrite;
	COLORREF	clrAck;
	COLORREF	clrEnd;
	TCHAR		AddressName[50];
	TCHAR		DataName[50];
	TCHAR		BusName[50];

	//reserve var
	COLORREF m_clrSpecBuscolor1;    //Address
	COLORREF m_clrSpecBuscolor2;	//NAck
	COLORREF m_clrSpecBuscolor3;	//Data Ack
	COLORREF m_clrSpecBuscolor4;	//data NACK
	COLORREF m_clrSpecBuscolor5;    //REG ADDR
	COLORREF m_clrSpecBuscolor6;
	BOOL m_bSpecflag1;
	BOOL m_bSpecflag2;
	BOOL m_bSpecflag3;
	BOOL m_bSpecflag4;
	BOOL m_bSpecflag5;
	BOOL m_bSpecflag6;
	BOOL m_bSpecflag7;
	BOOL m_bSpecflag8;//REGADDR check
	unsigned int m_nSpecNumber1;
	unsigned int m_nSpecNumber2;
	unsigned int m_nSpecNumber3;
	unsigned int m_nSpecNumber4;
	unsigned int m_nSpecNumber5;
	unsigned int m_nSpecNumber6;
	unsigned int m_nSpecNumber7;
	unsigned int m_nSpecNumber8;//REGADDR bit
	double	m_dSpaceNumber1;
	double	m_dSpaceNumber2;
	double	m_dSpaceNumber3;
	double	m_dSpaceNumber4;
	double	m_dSpaceNumber5;
	TCHAR m_cSpecName1[50];//REGADDR
	TCHAR m_cSpecName2[50];
	TCHAR m_cSpecName3[50];
	TCHAR m_cSpecName4[50];
	//-----timepage-----
	BOOL	startuptimebool;
    BOOL	thdstabool;
    float   thdstamin;
	float   thdstamax;
	BOOL	thddatbool;
    float   thddatmin;
	float   thddatmax;
	BOOL	tsustobool;
	float   tsustomin;
	float   tsustomax;	
	BOOL	tsudatbool;
    float   tsudatmin;
	float   tsudatmax;	
	//-----CIICRuleCustizePage-----
	BOOL    m_ActiveRule;
	int     m_DATARule;
	int     m_SLAVEADDRRule;
	int     m_REGADDRRule;
public:
	_iicparam();
	TCHAR* GetAddressName();
	bool SetAddressName(const TCHAR* pName);
	TCHAR* GetDataName();
	bool SetDataName(const TCHAR* pName);
	TCHAR* GetBusName();
	bool SetBusName(const TCHAR* pName);
	void SetDefaultValue();
	TCHAR* GetREGADDRName();
	bool SetREGADDRName(const TCHAR* pName);
}IICPARAM;

#endif PLUGIN_IICPARAM_DATA