#if !defined(AFX_IICSETUPPAGE1_H__F64FC651_FF90_4C97_A70B_0F4A94DD025D__INCLUDED_)
#define AFX_IICSETUPPAGE1_H__F64FC651_FF90_4C97_A70B_0F4A94DD025D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// IICSetupPage1.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CIICSetupPage1 dialog
#include "BPOParamters.h"
/////////////////////////////////////////////////////////////////////////////
// CIICSetupPage1 dialog
#include "PlugIIC.h"
#include "olorButton.h"
#include "EditIicComponentName.h"
class CIICSetupPage1 : public CPropertyPage
{

private:
	//template store vairable
	COLORREF m_clrData;
	COLORREF m_clrStart;
	COLORREF m_clrRead;
	COLORREF m_clrWrite;
	COLORREF m_clrAck;
	COLORREF m_clrEnd;

	COLORREF m_clrNAck;
	COLORREF m_clrAddress;

	COLORREF	m_clrDataAck;
	COLORREF	m_clrDataNack;

	CString m_strBusName;
	CString m_strPinName[80];

	int		m_nSdaChannel;
	int		m_nSclChannel;
public:	
	bool	m_bActive;


private:
	void InitPinNameArray();
	bool DifferenceChannelExist();
	int  TransformChannelIndexToComboBoxIndex(int ch_index);
	int  TransforComboBoxIndexToChannelIndex(int ComboBoxindex);

	int  JudgeChannelExist(CBPOSubItem* pSubItem);
	int  GetListChannelID(CString name);

	//Initial function
	void InitI2CParameter();
	void InitSelectChannel();
	void InitColor();
	void InitBus();
public:

	//Default setup function
	void DefaultValue();
	void DefaultSelectChannel();
	void DefaultColor();
	void DefaultBus();
	
	//Store setup result
	bool StoreSelectChannel();
	void StoreColor();
	void StoreBus();

	

public:	
	void SetSdaChannel(int channel);
	void SetSclChannel(int channel);
	int GetSdaChannel();
	int GetSclChannel();


public:
	DECLARE_DYNCREATE(CIICSetupPage1)

// Construction
public:
	CIICSetupPage1();
	CIICSetupPage1( UINT IDD, UINT nIDCaption = 0 );
	~CIICSetupPage1();

// Dialog Data
	//{{AFX_DATA(CIICSetupPage1)
	enum { IDD = IDD_IIC_SETUP };
	CStatic	m_edtBusName;
	CComboBox	m_comboSda;
	CComboBox	m_comboScl;
	ColorButton	m_clrbtnWrite;
	ColorButton	m_clrbtnStart;
	ColorButton	m_clrbtnRead;
	ColorButton	m_clrbtnEnd;
	ColorButton	m_clrbtnData;
	ColorButton	m_clrbtnAck;
	ColorButton	m_clrbtnAddress;
	ColorButton	m_clrbtnNAck;
	ColorButton	m_clrbtnDataAck;
	ColorButton m_clrbtnDataNack;
	ColorButton m_clrbtnREGADDR;	
		// NOTE - ClassWizard will add data members here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CIICSetupPage1)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CIICSetupPage1)
	virtual BOOL OnInitDialog();
	afx_msg void OnIicCustom();
	afx_msg void OnSelchangeIicComboSda();
	afx_msg void OnSelchangeIicComboScl();
	afx_msg void OnPaint();


		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IICSETUPPAGE1_H__F64FC651_FF90_4C97_A70B_0F4A94DD025D__INCLUDED_)
